
package sfProps;

sub new {
    my $class  = shift;
    my $config = {};

    open(PROPS, "/etc/sourceforge.properties");
    while(my $line = <PROPS>) {
	chomp($line);
	next if ( $line =~ /^\#/ );
	next if ( $line =~ /^\s*$/ );
	if ( $line =~ /^(.+)=(.+)/ ) {
	    $config->{ $1 } = $2;
	}
    }
    close(PROPS);
    bless $config;
}

sub get {
    my $self = shift;
    my $name = shift;
    return $self->{ $name };
}

1;
